/* This code is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
   
   This code is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   Code by Pedro Jos Ramrez Gutirrez */

#if PIC_FREC == 20000000
#define delayms delayms20M
#elif PIC_FREC == 4000000
#define delayms delayms4M
#elif PIC_FREC == 1000000
#define delayms delayms1M
#else
#ifdef PIC_FREC
#define delayms(X) delaymsxxM(PIC_FREC,X)
#else
#warning "PIC_FREC macro must be defined to PIC frecuency (in hz). Get default value of 20000000"
#define delayms(X) delaymsxxM(20000000UL, X)
#endif /* ifdef PIC_FREC */
#endif

#if (PIC_FREC == 20000000) || (PIC_FREC == 4000000) || (PIC_FREC == 1000000)
void delayms(unsigned int retraso); 
#else
void delaymsxxM(unsigned long frecuencia, unsigned int retraso);
#endif
